KTextEditor::DocumentInfoDCOPInterface Class Reference

`#include <documentdcopinfo.h>`

Inheritance diagram for KTextEditor::DocumentInfoDCOPInterface:

## Public Member Functions

| DocumentInfoDCOPInterface (DocumentInfoInterface *Parent, const char *name)
virtual | ~DocumentInfoDCOPInterface ()
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

This is the main interface to the DocumentInfoInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to DocumentInfoInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 19 of file documentdcopinfo.h.

## Constructor & Destructor Documentation

DocumentInfoDCOPInterface::DocumentInfoDCOPInterface | ( | DocumentInfoInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent DocumentInfoInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 7 of file documentdcopinfo.cpp.

DocumentInfoDCOPInterface::~DocumentInfoDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 13 of file documentdcopinfo.cpp.

The documentation for this class was generated from the following files:

- documentdcopinfo.h
- documentdcopinfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys